[
{
    blockid=ube;
    help=service_smtp_plugin_ube_ube_ube;
    custom=com.netscape.management.msgserv.StoreUbeControl;
    localvar={
	.headers="\u30a8\u30f3\u30c8\u30ea";
	.headers.text="\u30d1\u30b9";
	.headers="\u30aa\u30d7\u30b7\u30e7\u30f3";
	.ube.button.moveup="\u524d\u306e\u9801";
	.ube.button.movedown="\u6b21\u306e\u9801";
	.ube.button.option="\u30aa\u30d7\u30b7\u30e7\u30f3...";
	.parseheader.text="\u30e1\u30c3\u30bb\u30fc\u30b8\u30d8\u30c3\u30c0\u30fc\u306e\u89e3\u6790";
    },
    layout=[ybox];
    content=[
	{
	    ctrl=label;
	    text="\u4e0d\u7279\u5b9a\u591a\u6570\u5b9b\u3066\u30e1\u30fc\u30eb\u306e\u8a2d\u5b9a";
	    font=["","",16];
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=ubeTable;
	    label=adminlabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    columns=$.headers;
	    columns=[
		{
		    header="\u30a2\u30af\u30c6\u30a3\u30d6";
		    editor=boolean;
		    renderer=boolean;
		    width=60;
		},
		{
		    header="\u30d5\u30a3\u30eb\u30bf";
		    width=300;
		}
	    ]
	   buttons=[
	     {
	       ctrl=button;
	       id=moveupbutton;
	       text=$.ube.button.moveup;
	       cmd=.table.moveUp;
	     },
	     {
	       ctrl=button;
	       id=movedownbutton;
	       text=$.ube.button.movedown;
	       cmd=.table.moveDown;
	     }
	   ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=togglepane;
	    id=parseheadertoggle;
	    text=$.parseheader.text;
	    aligny=0.5;
	}
    ]
},
{
    blockid=addDialog;
    help=service_smtp_plugin_ube_ube_addDialog;
    localvar={
	.title.edit="UBE \u30d5\u30a3\u30eb\u30bf";
	.title.add="UBE \u30d5\u30a3\u30eb\u30bf";
	.entry.text="\u540d\u524d (\u30aa\u30d7\u30b7\u30e7\u30f3): ";
	.path.text="\u30d1\u30b9:";
	.option.text="\u30aa\u30d7\u30b7\u30e7\u30f3:";
	.funcs.text="\u6a5f\u80fd:";
	.if.text="IF";
	.otherfield.text="\u4ed6\u306e\u30d5\u30a3\u30fc\u30eb\u30c9 (\u30e6\u30fc\u30b6\u30fc\u5b9a\u7fa9)";
	.case.text="\u5927\u6587\u5b57\u3068\u5c0f\u6587\u5b57\u306e\u533a\u5225";
	.envonly.text="\u30a8\u30f3\u30d9\u30ed\u30fc\u30d7\u306e\u307f";
	.value.equal.text="=";
	.value.notequal.text="!=";
	.value.text="\u5024";
	.then.text="THEN";
	.choice.labels=[COPY,DROP,DROPRCPT,EXIT,HOLDCOPY,HOLDONLY,JUMP,REJECT,RUN];
	.argument.label="\u5f15\u6570";
        /* Have fun i18n this */
	.ifchoice.labels=[Also-Control,Alternate-Recipient,Apparently-To,Approved,Article-Names,Article-Updates,Auto-Forwarded,Autoforwarded,Bcc,Cc,
          Channel-To,Client,Comments,Content-Base,Content-Conversion,Content-Description,Content-Disposition,Content-ID,Content-Identifier,Content-Language,
          Content-Location,Content-MD5,Content-Return,Content-SGML-Entity,Content-Transfer-Encoding,Content-Type,Conversion,Conversion-With-Loss,
          DL-Expansion-History,DL-Expansion-History-Indication,Date,Delivery-Date,Delivery-Report,Description,Discarded-X400-IPMS-Extensions,
          Discarded-X400-MTS-Extensions,Disclose-Recipients,Disposition,Distribution,Encoding,Errors-To,Expires,Expiry-Date,Extension,Fax,Fcc,Followup-To,
          For-Comment,For-Handling,Forwarded,From,Generate-Delivery-Report,History,ID,Identifier,Importance,In-Reply-To,Incomplete-Copy,Information-Types,
          Keywords,Language,Length,Lines,MD5,MIME-Version,Mail-From,Mail-System-Version,Mailer,Message-ID,Message-Type,Newsgroups,Newsreader,Obsoletes,
          Organization,Organization,Original-Encoded-Information-Types,Originating-Client,Path,Phone,Precedence,Prevent-NonDelivery-Report,Priority,Rcpt-To,
          Received,Recipient,References,Reply-By,Reply-To,Resent,Resent-Date,Resent-From,Resent-Message-ID,Resent-Reply-To,Resent-To,Resent-bcc,Resent-cc,
          Return,Return-Path,Return-Receipt-To,See-Also,Sender,Sensitivity,Status,Subject,Summary,Supersedes,Telefax,To,Transfer-Encoding,Type,User-From,
          Version,X-Mailer,X-Newsreader,X400-Content-Return,Xref];

    },
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=entrylabel;
	    text=$.entry.text;
	    label=ifchoice;
	    constraint={
		gridx=0;
		gridy=0;
		anchor=east;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    val=$label;
	    label=entrylabel;
	    focus=true;
	    constraint={
		gridx=1;
		gridy=0;
		gridwidth=3;
		weightx=9;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		gridwidth=4;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    text=$.if.text;
	    constraint={
		gridx=0;
		gridy=2;
		anchor=east;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=choice;
	    editable=true;
	    id=ifchoice;
	    labels=$.ifchoice.labels;
	    items=$.ifchoice.labels;
	    val=$field;
	    constraint={
		gridx=1;
		gridy=2;
		gridwidth=3;
		anchor=west;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=pane;
	    constraint={
		gridx=1;
		gridy=3;
		anchor=east;
		insets=$g.insets.comp;
	    }
	    content=[
		{
		    ctrl=togglepane;
		    style=radio;
		    val=$radio1;
		    text=$.value.equal.text;
		    group=equality;
		},
		{
		    ctrl=togglepane;
		    style=radio;
		    val=$radio2;
		    text=$.value.notequal.text;
		    group=equality;
		}
	    ]
	},
	{
	    ctrl=label;
	    id=valuetextlabel;
	    text=$.value.text;
	    constraint={
		gridx=2;
		gridy=3;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=valuetextlabel;
	    val=$thevalue;
	    constraint={
		gridx=3;
		gridy=3;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=pane;
	    constraint={
		gridx=1;
		gridy=4;
		gridwidth=3;
		anchor=west;
		insets=$g.insets.comp;
	    }
	    content=[
		{
		    ctrl=togglepane;
		    val=$case;
		    id=casesensitive;
		    text=$.case.text;
		},
		{
		    ctrl=togglepane;
		    val=$envonly;
		    text=$.envonly.text;
		    id=envonly;
		}
	    ]
	},
	{
	    ctrl=label;
	    id=thenlabel;
	    text=$.then.text;
	    constraint={
		gridx=0;
		gridy=6;
		anchor=east;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=choice;
	    id=actionchoiceid;
	    labels=$.choice.labels;
	    items=$.choice.labels;
	    val=$action;
	    constraint={
		gridx=1;
		gridy=6;
		gridwidth=3;
		anchor=west;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=argumentlabel;
	    text=$.argument.label;
	    constraint={
		gridx=2;
		gridy=7;
		anchor=east;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=argumentlabel;
	    val=$argument;
	    constraint={
		gridx=3;
		gridy=7;
		/*gridwidth=2;*/
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	}
    ]
},
{
    blockid=optionDialog;
    help=service_smtp_plugin_ube_ube_optionDialog;
    localvar={
	.holdtplbody.text="\u30a2\u30af\u30b7\u30e7\u30f3\u30c6\u30f3\u30d7\u30ec\u30fc\u30c8\u30d5\u30a1\u30a4\u30eb\u306e\u30d1\u30b9:";
    .holdtplerrmsg.text="\u30a8\u30e9\u30fc \u30e1\u30c3\u30bb\u30fc\u30b8\u30d5\u30a1\u30a4\u30eb\u306e\u30d1\u30b9:";
	.title.optionDialog="UBE \u30aa\u30d7\u30b7\u30e7\u30f3\u306e\u7de8\u96c6";
    },
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    aligny=0.5;
		    id=tplbody;
		    text=$.holdtplbody.text;
		    wrap=$g.label.size1;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    aligny=0.5;
		    val=$HoldTplBody;
		    label=tplbody;
		    focus = true;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    aligny=0.5;
		    id=tplerr;
		    text=$.holdtplerrmsg.text;
		    wrap=$g.label.size1;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    aligny=0.5;
		    val=$HoldTplErrmsg;
		    label=tplerr;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    size=$g.label.size4;
	}
    ]
}
]
